<template>
<div class="container">
    <div class="card-body float-left">
        <search-component></search-component>
    </div>
    <div class="card-body float-right">
        <pagination :data="laravelData" @pagination-change-page="getResults"></pagination>
    </div>
    <div>
        <div class="row">
            <div class="col-md-10"></div>
            <div class="col-md-2">

            </div>
        </div><br />

        <table class="table table-hover">
            <thead>
            <tr>
                <th>id</th>
                <th>name</th>
                <th>email</th>
                <th>created</th>
            </tr>
            </thead>
            <tbody>
            <tr  v-for="user in laravelData.data" :key="user.id">
                <td>{{user.id}}</td>
                <td>{{user.name}}</td>
                <td>{{user.email}}</td>
                <td>{{user.created}}</td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
</template>



<script>
    import SearchComponent from "./SearchComponent.vue";
    export default {
        data() {
            return {
                laravelData: {},
            }
        },
        created() {
            this.getResults();
        },
        methods: {
            getResults(page) {
                if (typeof page === 'undefined') {
                    page = 1;
                }

                this.$http.get('/api/users?page=' + page)
                    .then(response => {
                        return response.json();
                    })
                    .then(data => {
                        this.laravelData = data;
                });
            }
        }
    }
</script>
